Bug 1475510 (CVE-2017-11625) - CVE-2017-11625 qpdf: Infinite loop in QPDF::resolveObjectsInStream function in QPDF.cc
Summary: CVE-2017-11625 qpdf: Infinite loop in QPDF::resolveObjectsInStream function i...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-11625
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1475511 1475512
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-26 19:56 UTC by Pedro Sampaio
Modified: 2019-09-29 14:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:18:48 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2017-07-26 19:56:27 UTC
A stack-consumption vulnerability was found in libqpdf in QPDF 6.0.0,
which allows attackers to cause a denial of service via a crafted file,
related to the QPDF::resolveObjectsInStream function in QPDF.cc, aka an
"infinite loop".

Upstream bug:

https://github.com/qpdf/qpdf/issues/120

Upstream patch:

https://github.com/jberkenbilt/qpdf/commit/2f56805a397b4d264bcfdfc248765990084c2933
https://github.com/jberkenbilt/qpdf/commit/97c9344c4b878ddc4723486640688d2d3d38ad32
https://github.com/qpdf/qpdf/commit/ac3c81a8edcb44e2669485630d6718c96a6ad6e9

References:

http://somevulnsofadlab.blogspot.com.br/2017/07/qpdfan-infinite-loop-in-libqpdf_26.html

Comment 1 Pedro Sampaio 2017-07-26 19:56:59 UTC
Created qpdf tracking bugs for this issue:

Affects: epel-6 [bug 1475511]
Affects: fedora-all [bug 1475512]


Note You need to log in before you can comment on or make changes to this bug.